<div class="docs-primary-header component-page-header">
  <mat-chip-list>
    <mat-chip>
      <mat-icon>home</mat-icon>
      <a routerLink="/dashboard">Home</a>/
      <a routerLink="/products">Products</a>/Map Products
    </mat-chip>
  </mat-chip-list>
</div>

<div style="padding:15px;" class="appereance">
  <div class="title mat-elevation-z2">
    <span>MAP PRODUCTS</span>
  </div>
  <mat-card>
    <div>
      <form [formGroup]="mappingGroup">

        <mat-chip-list>
          <mat-chip *ngFor="let name of products">{{name.product_name}}</mat-chip>
        </mat-chip-list>

        <div class="row" style="padding-top: 15px">
          <div class="col-md-4">
            <mat-form-field>
              <mat-select placeholder="Make" (selectionChange)="getModel($event.value)" formControlName="make_id" multiple>
                <mat-option *ngFor="let make of makes" [value]="make.make_id">
                  {{ make.make_name }}
                </mat-option>
              </mat-select>
              <mat-error *ngIf="mappingGroup.controls['make_id'].hasError('required')">
                This field is
                <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>
          <div class="col-md-4">
            <mat-form-field>
              <mat-select placeholder="Model" (selectionChange)="getVariant($event.value)" formControlName="model_id" multiple>
                <mat-option *ngFor="let model of models" [value]="model.model_id">
                  {{ model.model_name }}
                </mat-option>
              </mat-select>
              <mat-error *ngIf="mappingGroup.controls['model_id'].hasError('required')">
                This field is
                <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>
          <div class="col-md-4">
            <mat-form-field>
              <mat-select placeholder="Variant" (selectionChange)="getSubModel($event.value)" formControlName="variant_id" multiple>
                <mat-option *ngFor="let variant of variants" [value]="variant.variant_id">
                  {{ variant.make_name }} {{ variant.model_name }} | {{ variant.variant_name }} {{variant.cc}} {{variant.power}} {{variant.engine}}
                  |
                </mat-option>
              </mat-select>
              <mat-error *ngIf="mappingGroup.controls['variant_id'].hasError('required')">
                This field is
                <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>
    
        </div>
        <div class="col-md-12">
          <mat-form-field>
            <mat-select placeholder="Sub-Model" (selectionChange)="getYear($event.value)" formControlName="sub_model_id" multiple>
              <mat-option *ngFor="let sub_model of sub" [value]="sub_model.sub_model_id">
                {{ sub_model.sub_model }} ( {{sub_model.month_name}}-{{sub_model.year_name}} To {{sub_model.to_month}}-{{sub_model.to_year}} )
              </mat-option>
            </mat-select>
            <mat-error *ngIf="mappingGroup.controls['sub_model_id'].hasError('required')">
              This field is
              <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>
        <!-- <div class="row" style="padding-top: 15px">

          <div class="col-md-3">
            <mat-form-field class="form-field">
              <mat-select placeholder="Month From" formControlName="from">
                <mat-option value="Janaury">Janaury</mat-option>
                <mat-option value="February">February</mat-option>
                <mat-option value="March">March</mat-option>
                <mat-option value="April">April</mat-option>
                <mat-option value="May">May</mat-option>
                <mat-option value="June">June</mat-option>
                <mat-option value="July">July</mat-option>
                <mat-option value="August">August</mat-option>
                <mat-option value="September">September</mat-option>
                <mat-option value="October">October</mat-option>
                <mat-option value="November">November</mat-option>
                <mat-option value="December">December</mat-option>
              </mat-select>
              <mat-error *ngIf="mappingGroup.controls['from'].hasError('required')">
                This field is
                <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>

          <div class="col-md-3">
            <mat-form-field>
              <mat-select placeholder="From Year" formControlName="year_from">
                <mat-option *ngFor="let year of from" [value]="year.year_name">
                  {{ year.year_name }}
                </mat-option>
              </mat-select>
              <mat-error *ngIf="mappingGroup.controls['year_from'].hasError('required')">
                This field is
                <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>

          <div class="col-md-3">
            <mat-form-field class="form-field" (selectionChange)="getMonthlyVehicle($event.value)">
              <mat-select placeholder="Month To" formControlName="to">
                <mat-option value="Janaury">Janaury</mat-option>
                <mat-option value="February">February</mat-option>
                <mat-option value="March">March</mat-option>
                <mat-option value="April">April</mat-option>
                <mat-option value="May">May</mat-option>
                <mat-option value="June">June</mat-option>
                <mat-option value="July">July</mat-option>
                <mat-option value="August">August</mat-option>
                <mat-option value="September">September</mat-option>
                <mat-option value="October">October</mat-option>
                <mat-option value="November">November</mat-option>
                <mat-option value="December">December</mat-option>
              </mat-select>
              <mat-error *ngIf="mappingGroup.controls['to'].hasError('required')">
                This field is
                <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>

          <div class="col-md-3">
            <mat-form-field>
              <mat-select placeholder="To Year" (selectionChange)="getVehicle($event.value)" formControlName="year_to">
                <mat-option *ngFor="let year of to" [value]="year.year_name">
                  {{ year.to_year }}
                </mat-option>
              </mat-select>
              <mat-error *ngIf="mappingGroup.controls['year_to'].hasError('required')">
                This field is
                <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>

        </div> -->
        


        <div class="row">
        </div>

        <!-- <div class="row">
      <div class="col-md-6">
        <mat-form-field>
          <mat-select placeholder="Model Year" formControlName="model_year" (ngModelChange)="getVersion($event.value)" required>
            <mat-option *ngFor="let year of total_years" [value]="year">
              {{ year }}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="mappingGroup.controls['model_year'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <mat-form-field>
          <mat-select placeholder="Model Year" formControlName="model_version" required>
            <mat-option *ngFor="let version of total_versions" [value]="version">
              {{ version }}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="mappingGroup.controls['model_version'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>
      </div>
    </div> -->

        <div class="flex-container" *ngIf="showPN == 'true'">
          <div *ngFor="let vehicle of total_vehicles" class="col-md-2 colmd3">
            <mat-card class="example-card">
              <mat-toolbar class="cardtitle">
                <span>{{vehicle.make_name}} {{vehicle.model_name}}</span>
                <div style="flex-grow:1;"></div>
              </mat-toolbar>
              <mat-card-content>

                <div class="overflow">
                  <p>
                    <b>Model Version:</b> {{vehicle.variant_name}}
                    <br>
                    <b>Model Year:</b> {{vehicle.year_name}}
                    <br>
                    <b>Chassis:</b> {{vehicle.sub_model_name}}
                    <br>
                    <b>VIN:</b> {{vehicle.vin}}
                    <br>
                    <b>CC:</b> {{vehicle.cc}}
                    <br>
                    <b>Engine:</b> {{vehicle.engine}}
                    <br>
                    <b>Power:</b> {{vehicle.power}} kW
                    <br>
                    <b>Cylinder:</b> {{vehicle.cylinder}}
                    <br>
                    <b>Valves:</b> {{vehicle.valves}}
                    <br>
                    <b>Cam Type:</b> {{vehicle.cam_type}}
                    <br>
                    <b>Vehicle Type:</b> {{vehicle.vehicle_type}}
                    <br>
                    <b>Drive:</b> {{vehicle.drive}}
                    <br>
                    <b>Fuel:</b> {{vehicle.fuel}}
                    <br>
                    <b>Fuel Type:</b> {{vehicle.fuel_type}}
                    <br>
                    <b>Timing:</b> {{vehicle.timing}}
                    <br>
                    <b>Turbo Type:</b> {{vehicle.turbo_type}}
                    <br>
                    <b>Country:</b> {{vehicle.country}}
                  </p>
                </div>

              </mat-card-content>

              <mat-toolbar class="card-footer">
                <mat-checkbox (change)="matcheck($event.checked,vehicle.vehicle_id)" color="primary"></mat-checkbox>
              </mat-toolbar>

              <!-- <mat-card-content>
              <mat-checkbox (change)="matcheck($event.checked,vehicle.vehicle_id)" color="primary"></mat-checkbox>
            </mat-card-content> -->

            </mat-card>
          </div>
        </div>
        <div>
          <button type="reset" mat-raised-button color="accent">Reset</button>
          <button mat-raised-button color="accent" style="margin-left: 5px;" (click)="submit()">Submit</button>
        </div>
      </form>
    </div>

    <!-- <mat-form-field>
      <mat-select placeholder="Select Vehicle To Be Mapped" formControlName="vehicle_product" multiple>
        <mat-option *ngFor="let vehicle of total_vehicles" [value]="vehicle.vehicle_id">
          {{ vehicle.make }} {{ vehicle.model }} {{ vehicle.model_year }} {{ vehicle.model_version }}
        </mat-option>
      </mat-select>
      <mat-error *ngIf="mappingGroup.controls['vehicle_product'].hasError('required')">
        This field is
        <strong>required</strong>
      </mat-error>
    </mat-form-field> -->
  </mat-card>

</div>

